commit 8635c3eee9837a6f211e2799d9cc8827109b69a2
Author: Tamar Christina <tamar.christina@arm.com>
Date:   Fri Jul 17 13:10:53 2020 +0100

    AArch64: Add GCC_CPUINFO override
    
    This adds an in intentionally undocumented environment variable
    GCC_CPUINFO which can be used to test -mcpu=native.
    
    Tests using this are added later on.
    
    gcc/ChangeLog:
    
            * config/aarch64/driver-aarch64.c (host_detect_local_cpu):
            Add GCC_CPUINFO.
    
    (cherry picked from commit 55f6addc0c102eab2bf19d94de3ce52f9de0ab91)

diff --git a/gcc/config/aarch64/driver-aarch64.c b/gcc/config/aarch64/driver-aarch64.c
index 8d5a70d2616..28771a76827 100644
--- a/gcc/config/aarch64/driver-aarch64.c
+++ b/gcc/config/aarch64/driver-aarch64.c
@@ -259,6 +259,7 @@ host_detect_local_cpu (int argc, const char **argv)
   uint64_t default_flags = 0;
   std::string buf;
   size_t sep_pos = -1;
+  char *fcpu_info;
 
   gcc_assert (argc);
 
@@ -276,7 +277,11 @@ host_detect_local_cpu (int argc, const char **argv)
   if (!arch && !tune && !cpu)
     goto not_found;
 
-  f = fopen ("/proc/cpuinfo", "r");
+  fcpu_info = getenv ("GCC_CPUINFO");
+  if (fcpu_info)
+    f = fopen (fcpu_info, "r");
+  else
+    f = fopen ("/proc/cpuinfo", "r");
 
   if (f == NULL)
     goto not_found;

